Subject: Evergreens resistant to deer

From: [email-masked] (Banoo Parpia)
Date: Wed, 8 Mar 1995 10:19:22

Please advise if planting fir trees --- douglas, concolor, fraser etc -- is 
prudent in areas "infested" with deer.  Two absolutely gorgeous Canadian 
hemlocks we planted last year have been decimated by hungry deer down to 
the "bare bone" ?!  Its unclear if they will recover.  Spruce is another 
possibility as an evergreen screen, but seem to be susceptible to "adelgid" 
and other insect damage in our area.

Banoo Parpia
[email-masked]